using Demo.Data.RemoteData.RemoteDataBase.DAO;
using System;
using System.Collections.Generic;

namespace Demo.Data.Repository
{
    public interface IUserRepository
    {
        IEnumerable<User> GetAllUsers();
        User GetUserById(Guid id);
        void UpdateUser(User user);
        void DeleteUser(Guid id);
        void AddUser(User user);
    }
}